/*
  usleep  - command line usleep 
  usage: usleep [microseconds]      (1000000 = 1 second)
 
  Sleeps the specified number of microseconds.  Minimum actual time usually
  ranges at least 3000 - 11000 uS (3-11 thousands of a second) do to
  execution overhead.  Usually accurate with around 5000 - 10000 uS.
  microseconds is 0 if not specified, giving a default delay
  of .003 - .011 seconds depending on the machine.
  
  Author:    Vincent Stemen  4/9/02
  Copyright: BSD
*/


#include <unistd.h>
#include <stdlib.h>

int
main(int argc, char *argv[])
{
  int arg;
  unsigned int msecs;
  
  if (argc > 1)
      {
      arg = atol(argv[1]);
      if (arg < 1)
        msecs = 0;
      else
        msecs = arg;
      }
  else
      msecs = 0;              // default to minimum time if not specified
  
  usleep(msecs);
}

